Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Class DriverPropertyInfo

    java.lang.Object
      |
      +--java.sql.DriverPropertyInfo

public class DriverPropertyInfo
extends Object

Driver properties for making a connection. The `DriverPropertyInfo` class is of interest only to advanced programmers who need to interact with a Driver via the method `getDriverProperties` to discover and supply properties for connections.

Field Summary
`String[]` | `choices` An array of possible values if the value for the field `DriverPropertyInfo.value` may be selected from a particular set of values; otherwise null.
`String` | `description` A brief description of the property, which may be null.
`String` | `name` The name of the property.
`boolean` | `required` The `required` field is `true` if a value must be supplied for this property during `Driver.connect` and `false` otherwise.
`String` | `value` The `value` field specifies the current value of the property, based on a combination of the information supplied to the method `getPropertyInfo`, the Java environment, and the driver-supplied default values.

Constructor Summary
`DriverPropertyInfo(String name, String value)` Constructs a `DriverPropertyInfo` object with a name and value; other members default to their initial values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

  The name of the property.

### description

    public String description

  A brief description of the property, which may be null.

### required

    public boolean required

  The `required` field is `true` if a value must be supplied for this property during `Driver.connect` and `false` otherwise.

### value

    public String value

  The `value` field specifies the current value of the property, based on a combination of the information supplied to the method `getPropertyInfo`, the Java environment, and the driver-supplied default values. This field may be null if no value is known.

### choices

    public String[] choices

  An array of possible values if the value for the field `DriverPropertyInfo.value` may be selected from a particular set of values; otherwise null.

Constructor Detail

### DriverPropertyInfo

    public DriverPropertyInfo(String name,
                              String value)

  Constructs a `DriverPropertyInfo` object with a name and value; other members default to their initial values.

Parameters:
  `name` - the name of the property
  `value` - the current value, which may be null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.